Package org.apache.storm.generated

## Interface Supervisor.Iface

- All Known Implementing Classes:
    `Supervisor.Client`
  Enclosing class:
    Supervisor

      public static interface Supervisor.Iface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Assignment` | `getLocalAssignmentForStorm​(String id)` | Get local assignment for a storm
    `void` | `sendSupervisorAssignments​(SupervisorAssignments assignments)` | Send node specific assignments to supervisor
    `void` | `sendSupervisorWorkerHeartbeat​(SupervisorWorkerHeartbeat heartbeat)` | Send worker heartbeat to local supervisor

- - ### Method Detail

    - #### sendSupervisorAssignments

          void sendSupervisorAssignments​(SupervisorAssignments assignments)
                                  throws AuthorizationException,
                                         org.apache.storm.thrift.TException

      Send node specific assignments to supervisor
      Parameters:
        `assignments` -
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getLocalAssignmentForStorm

          Assignment getLocalAssignmentForStorm​(String id)
                                         throws NotAliveException,
                                                AuthorizationException,
                                                org.apache.storm.thrift.TException

      Get local assignment for a storm
      Parameters:
        `id` -
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### sendSupervisorWorkerHeartbeat

          void sendSupervisorWorkerHeartbeat​(SupervisorWorkerHeartbeat heartbeat)
                                      throws AuthorizationException,
                                             org.apache.storm.thrift.TException

      Send worker heartbeat to local supervisor
      Parameters:
        `heartbeat` -
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`